Bug 250063 - apol can't open default policy.conf
Summary: apol can't open default policy.conf
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setools   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-30 08:29 UTC by Andrey Markelov
Modified: 2013-04-12 19:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 14:12:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrey Markelov 2007-07-30 08:29:54 UTC
Description of problem:

When tried to open compiled policy.conf from selinux-policy-2.4.6-30.el5.src.rpm
with apol the following error occured


The selected file does not appear to be a valid SELinux Policy.

Error opening policy: Input/output error.

And in console:



tmp/rolemap.conf:624:ERROR 'syntax error' at token 'ntfs-3g' on line 1563798:

genfscon ntfs-3g / system_u:object_r:dosfs_t

genfscon msdos / system_u:object_r:dosfs_t


Version-Release number of selected component (if applicable):

policycoreutils-1.33.12-3.el5

libsepol-1.15.2-1.el5

libsepol-1.15.2-1.el5

setools-gui-3.0-3.el5

setools-3.0-3.el5

selinux-policy-2.4.6-30.el5.src

How reproducible:


Steps to Reproduce:
1. Start apol

2. Open policy.conf

  
Actual results:
apol can't open policy.conf 

Expected results:


Additional info:
As  explained Chris PeBenito in fedora-selinux-list@redhat.com

Just like the checkpolicy/checkmodule parser, the setools parser had to

be updated, and this happened in setools 3.0.1.

Comment 3 RHEL Product and Program Management 2008-07-21 23:10:31 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 Forrest Taylor 2008-10-07 17:13:59 UTC
Any chance at getting movement on this?

Comment 15 Daniel Walsh 2013-03-19 14:12:44 UTC
This seems to have gotten lost in the weeds, I think we should just say this is fixed in RHEL6.


Note You need to log in before you can comment on or make changes to this bug.